package com.platform.modules.live.service;

import java.util.Map;

import com.baomidou.mybatisplus.service.IService;
import com.platform.modules.live.entity.LiveSceneCountEntity;
import com.platform.modules.live.vo.SceneCountVo;

/**
 * 现场直播计数表
 * 
 * @author weiyan
 * @email 
 * @date 2019-02-20 10:29:20
 */
public interface LiveSceneCountService extends IService<LiveSceneCountEntity> {
	
	void save(LiveSceneCountEntity liveSceneCount);

	void update(LiveSceneCountEntity liveSceneCount);

	void delete(Integer sceneId);

	void deleteBatch(Integer[] sceneIds);
	
	void freshRedisSceneCountToDB();
	
	void cleanRedisSceneCountJob();
	
	Map<String, Object> getSceneCountByRedis(Integer sceneId);
	
	SceneCountVo info(Integer sceneId);
	
	SceneCountVo findRedisById(Integer sceneId);
	
	SceneCountVo updateRedisById(Integer sceneId,Integer viewsShow);
	
}
